Name:      opt-openssl11
Version:   1.1.1g
Release:   1.vision4.vision4
Summary:	OpenSSL in /opt/openssl11
License:	OpenSSL
URL:		    https://www.openssl.org/
Source0:	    https://www.openssl.org/source/openssl-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%global sslrootdir /opt/openssl11

%description
Generic build of openssl installed in %{sslrootdir}

%prep
%setup -q -n openssl-%{version}

%build
export LDFLAGS="-Wl,-rpath=%{sslrootdir}/lib"
./config shared --prefix=%{sslrootdir} --openssldir=%{sslrootdir}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p" install

%files
%defattr(-,root,root,-)
%{sslrootdir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue May 12 2020 Vision4 Importer <nobody@ncsu.edu> - 1.1.1g-1.vision4.vision4
- Imported to Vision4 Repo


